# 2023-133

**Smart Assistance for the Floriculture Industry**


## Main Objective
Automated mobile application to provide smart assistance for the floriculture industry


## Main Research Questions

1.	How can the growth of ornamental plants be monitored, and the time required for them to reach the desired size be predicted? 
2.	How to recommend plants for shipment and differentiate nutrient deficiencies from mite attacks? 
3.	How to select the suitable plant to grow, identify varieties, and develop chatbot for beginners?
4.	How to effectively anticipate seasonal and species-specific demand, estimate supply based on purchasing data, and locate the closest vendor?

## Individual Research Question


1.	IT20005726 – Liyanage S.R 

• How can the growth of ornamental plants be monitored, and their current state of growth predicted?
• How can the time it takes for ornamental plants to reach the required growth size for an order be predicted?


2.	IT19994406 - Basnayake N.S.N.

•	How to determine the correct nutrient fertilizer for the affected plant? 
         Nitrogen 
         Phosphorous 
         Potassium 
•	How to determine whether to , 
         Export leaves
         Sell them locally 
         Keep them for the mother plant


3.	IT19169736 - Gamage M.G.U.D.

•	How to select the best floriculture plant to grow according to weather and resource factors?
•	How to identify varieties of diverse floriculture crops? 
•	How to provide knowledge about plant care for multiple plant types?


4.	IT20017088 - Prabhashi P.A.N.

•	How to forecast the future demand accurately according to various factors? 
•	How to predict the amount of purchasing items precisely, considering the order and other facts?
•	How to find the nearest vendor easily? 
•	How to keep the goods in better quality until the order is completed?


## Individual Objectives
       

1.  IT20005726 – Liyanage S.R 

           Create a smart mobile-based system to Growth Monitoring and Predictions
           
2.  IT19994406 - Basnayake N.S.N.

           Differentiate nutrient deficiencies from mite attacks and recommend plants for shipment
           
3.IT19169736 - Gamage M.G.U.D.
  
           Plant recommendation, variety identification and chatbot for industry beginners
        
4.IT20017088 - Prabhashi P.A.N.

           Improve the efficiency and accuracy of the floriculture industry

